# Get all KPOs

Returns the Key Performance Objectives (KPOs) defined for the given
study - the per-study targets that bind a referenced KPI to an objective
operator and threshold value used to judge scenario success. Requires the
studyId of the study whose objectives are being read.

Endpoint: GET /v1/kpos
Version: 1.0.0
Security: bearer, appkey

## Security:

  - `bearer` (unknown)
    apiKey in header Authorization

  - `appkey` (unknown)
    apiKey in header appkey

## Query parameters:

  - `studyId` (string, required)
    The study which KPOs belongs to.

## Header parameters:

  - `slb-partition-id` (string, required)
    Data partition id.

## Response 200:

  - `200` (unknown)
    Retrieved KPOs successfully.

## Response 200 fields (application/json):

  - `items` (array, required)

  - `items.name` (string, required)
    The name of the KPI for this KPO. This field is immutable.
    Example: ATMaxEx

  - `items.objectiveOperator` (string, required)
    The KPO objective operator which together with the objective value determines whether the KPO has been met or not. This will be more/less than if KPO is a number and before/after if KPO is a date.
    Example: Less Than

  - `items.objectiveValue` (string)
    The KPO objective value which together with the objective operator determines whether the KPO has been met or not.
    Example: 600

  - `items.description` (string)
    The description of this KPO.
    Example: After Tax Maximum Exposure

  - `items.type` (string)
    The value type of this KPO.
    Enum: "Money", "Percentage", "Date", "Years", "Ratio", "Volume", "Dimensionless"

  - `items.unit` (string)
    The unit of the KPO.
    Example: M$

## Response 204:

  - `204` (unknown)
    No KPOs in the study were found.

## Response 401:

  - `401` (unknown)
    Unauthorized.

## Response 401 fields (application/json):

  - `data` (object, required)

  - `data.code` (integer, required)
    The HTTP status code.
    Example: 500

  - `data.message` (string)
    The error message.
    Example: internal server error

## Response 404:

  - `404` (unknown)
    The study was not found.

## Response 404 fields (application/json):

  - `data` (object, required)

  - `data.code` (integer, required)
    The HTTP status code.
    Example: 500

  - `data.message` (string)
    The error message.
    Example: internal server error

## Response 451:

  - `451` (unknown)
    Unavailable for legal reasons.

## Response 451 fields (application/json):

  - `data` (object, required)

  - `data.code` (integer, required)
    The HTTP status code.
    Example: 500

  - `data.message` (string)
    The error message.
    Example: internal server error

## Response 503:

  - `503` (unknown)
    Unavailable

## Response default:

  - `default` (unknown)
    Unexpected error.

## Response default fields (application/json):

  - `data` (object, required)

  - `data.code` (integer, required)
    The HTTP status code.
    Example: 500

  - `data.message` (string)
    The error message.
    Example: internal server error

